﻿using Infragistics;
using Infragistics.Controls.Maps;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamMap
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            string path = @"test\usa_st";
            DirectoryInfo dir = new DirectoryInfo(Directory.GetCurrentDirectory());
            string uriPath = dir.Parent.Parent.FullName + @"\" + path.Replace("/", @"\");

            FilesUri = uriPath;

            //Initializing Coortinate system properties
            FalseEasting = FalseNorthing = 1000000;

            EllipsoidType = "GRS1980";
            StandardParallelNorth = 27.41;
            StandardParallelSouth = 34.91;
            LatitudeOrigin = 31.16;
        }

        #region File Path

        private string filesUri;
        public string FilesUri
        {
            get
            {
                return filesUri;
            }
            set
            {
                filesUri = value;
            }
        }

        #endregion

        #region Coortinate Sys Properties

        public double FalseEasting { get; set; }
        public double FalseNorthing { get; set; }

        public string EllipsoidType { get; set; }
        public double StandardParallelNorth { get; set; }
        public double StandardParallelSouth { get; set; }
        public double LatitudeOrigin { get; set; }

        #endregion
    }
}
